Cannoli_2.12: CLI 0.12.0 API < Back
 

# Packages

-  package root
  Definition Classes
    root
-  package org
  Definition Classes
    root
-  package bdgenomics
  Definition Classes
    org
-  package cannoli
  Definition Classes
    bdgenomics
-  package cli
  Definition Classes
    cannoli
- About
- BcftoolsCall
- BcftoolsCallArgs
- BcftoolsMpileup
- BcftoolsMpileupArgs
- BcftoolsNorm
- BcftoolsNormArgs
- BedtoolsIntersect
- BedtoolsIntersectArgs
- Blastn
- BlastnArgs
- Bowtie
- Bowtie2
- Bowtie2Args
- BowtieArgs
- BwaMem
- BwaMem2
- BwaMem2Args
- BwaMemArgs
- Cannoli
- CannoliModule
- Freebayes
- FreebayesArgs
- Gem
- GemArgs
- InterleaveFastq
- InterleaveFastqArgs
- MagicBlast
- MagicBlastArgs
- Minimap2
- Minimap2Args
- SampleReads
- SampleReadsArgs
- SamtoolsMpileup
- SamtoolsMpileupArgs
- SingleEndBowtie2
- SingleEndBowtie2Args
- SingleEndStar
- SingleEndStarArgs
- Snap
- SnapArgs
- SnpEff
- SnpEffArgs
- Star
- StarArgs
- Vep
- VepArgs
- VtNormalize
- VtNormalizeArgs

c

org.bdgenomics.cannoli.cli

# BwaMemArgs 

###

#### class BwaMemArgs extends cannoli.BwaMemArgs with ADAMSaveAnyArgs with CramArgs with ParquetArgs

Bwa mem command line arguments.

Linear Supertypes
ParquetArgs, CramArgs, ADAMSaveAnyArgs, SaveArgs, ParquetRDDArgs, cannoli.BwaMemArgs, ReadGroupArgs, Args4jBase, AnyRef, Any
 
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. BwaMemArgs
2. ParquetArgs
3. CramArgs
4. ADAMSaveAnyArgs
5. SaveArgs
6. ParquetRDDArgs
7. BwaMemArgs
8. ReadGroupArgs
9. Args4jBase
10. AnyRef
11. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1.  new BwaMemArgs()

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  var addFiles: Boolean
   Definition Classes
     BwaMemArgs
5.  var asFragments: Boolean
6.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
7.  var asSingleFile: Boolean
   Definition Classes
     BwaMemArgs → ADAMSaveAnyArgs
8.  val blockSize: Int
   Definition Classes
     ParquetArgs → ParquetRDDArgs
   Annotations
     @Option()
9.  def clone(): AnyRef
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... ) @native() @HotSpotIntrinsicCandidate()
10.  val compressionCodec: CompressionCodecName
    Definition Classes
      ParquetArgs → ParquetRDDArgs
    Annotations
      @Option()
11.  def configureCramFormat(sc: SparkContext): Option[Unit]

    Configure CRAM format.

    Configure CRAM format.

    sc

      Spark context to configure

    Definition Classes
      CramArgs
12.  val cramReference: String
    Definition Classes
      CramArgs
    Annotations
      @Option()
13.  def createReadGroup(): ReadGroup
    Definition Classes
      ReadGroupArgs
14.  var deferMerging: Boolean
    Definition Classes
      BwaMemArgs → ADAMSaveAnyArgs
15.  val disableDictionaryEncoding: Boolean
    Definition Classes
      ParquetArgs → ParquetRDDArgs
    Annotations
      @Option()
16.  var disableFastConcat: Boolean
    Definition Classes
      BwaMemArgs → ADAMSaveAnyArgs
17.  var doPrintUsage: Boolean
    Definition Classes
      Args4jBase
18.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
19.  def equals(arg0: Any): Boolean
    Definition Classes
      AnyRef → Any
20.  var executable: String
    Definition Classes
      BwaMemArgs
21.  var flowOrder: String
    Definition Classes
      ReadGroupArgs
22.  var forceLoadIfastq: Boolean
23.  var forceLoadParquet: Boolean
24.  final def getClass(): Class[_]
    Definition Classes
      AnyRef → Any
    Annotations
      @native() @HotSpotIntrinsicCandidate()
25.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native() @HotSpotIntrinsicCandidate()
26.  var image: String
    Definition Classes
      BwaMemArgs
27.  var indexPath: String
    Definition Classes
      BwaMemArgs
28.  var inputPath: String
29.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
30.  var keySequence: String
    Definition Classes
      ReadGroupArgs
31.  var library: String
    Definition Classes
      ReadGroupArgs
32.  val logLevel: String
    Definition Classes
      ParquetArgs
    Annotations
      @Option()
33.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
34.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native() @HotSpotIntrinsicCandidate()
35.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native() @HotSpotIntrinsicCandidate()
36.  var outputPath: String
    Definition Classes
      BwaMemArgs → SaveArgs
37.  val pageSize: Int
    Definition Classes
      ParquetArgs → ParquetRDDArgs
    Annotations
      @Option()
38.  var platform: String
    Definition Classes
      ReadGroupArgs
39.  var platformModel: String
    Definition Classes
      ReadGroupArgs
40.  var platformUnit: String
    Definition Classes
      ReadGroupArgs
41.  var predictedMedianInsertSize: Integer
    Definition Classes
      ReadGroupArgs
42.  var readGroup: ReadGroup
    Definition Classes
      ReadGroupArgs
43.  var readGroupId: String
    Definition Classes
      ReadGroupArgs
44.  var runDate: Long
    Definition Classes
      ReadGroupArgs
45.  var sampleId: String
    Definition Classes
      ReadGroupArgs
46.  var sequenceDictionary: String
47.  var sequencingCenter: String
    Definition Classes
      ReadGroupArgs
48.  var sortFastqOutput: Boolean
    Definition Classes
      BwaMemArgs → ADAMSaveAnyArgs
49.  var stringency: String
50.  var sudo: Boolean
    Definition Classes
      BwaMemArgs
51.  final def synchronized[T0](arg0: ⇒ T0): T0
    Definition Classes
      AnyRef
52.  def toString(): String
    Definition Classes
      AnyRef → Any
53.  var useDocker: Boolean
    Definition Classes
      BwaMemArgs
54.  var useSingularity: Boolean
    Definition Classes
      BwaMemArgs
55.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
56.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... ) @native()
57.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Deprecated Value Members

1.  def finalize(): Unit
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( classOf[java.lang.Throwable] ) @Deprecated @deprecated
   Deprecated

     (Since version ) see corresponding Javadoc for more information.

### Inherited from ParquetArgs

### Inherited from CramArgs

### Inherited from ADAMSaveAnyArgs

### Inherited from SaveArgs

### Inherited from ParquetRDDArgs

### Inherited from cannoli.BwaMemArgs

### Inherited from ReadGroupArgs

### Inherited from Args4jBase

### Inherited from AnyRef

### Inherited from Any

### Ungrouped